[CentOS] LD_ASSUME_KERNEL library issues CentOS 5 x86_64

Bill Campbell centos at celestial.com
Thu Nov 8 17:43:06 UTC 2007


I'm trying to get the Syspro/Encore MRP software running on a new CentOS 5
x86_64 system which uses an ODBC package built with old glibc/errno
libraries.

I have this same software running on a Suse Linux Enterprise 9 SP3 system
using LD_ASSUME_KERNEL=2.4.1, but when I try this on CentOS 5 it results in
many unidentified libraries including libc.so.6, librt... etc.

My guess is that there are packages that support these compatibility
libraries, and, silly me, I thought these might be in the compat-glibc
package, but that doesn't work.

Any suggestions?

Bill
--
INTERNET:   bill at celestial.com  Bill Campbell; Celestial Software LLC
URL: http://www.celestial.com/  PO Box 820; 6641 E. Mercer Way
FAX:            (206) 232-9186  Mercer Island, WA 98040-0820; (206) 236-1676

If you make yourselves sheep, the wolves will eat you -- Benjamin Franklin



More information about the CentOS mailing list